From 9364a6973da4a07af71d15f6bf12a900c061b8e8 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?S=C3=A9bastien=20Toque?= <xilasz@gmail.com>
Date: Sat, 5 Feb 2011 12:58:35 +0100
Subject: [PATCH 3/5] enables fullscreen and hides title/status bar

---
 .../android/vlc-android/src/vlc/android/VLC.java   |   12 +++++++++---
 1 files changed, 9 insertions(+), 3 deletions(-)

diff --git a/extras/package/android/vlc-android/src/vlc/android/VLC.java b/extras/package/android/vlc-android/src/vlc/android/VLC.java
index 1c1cdd0..04d2101 100644
--- a/extras/package/android/vlc-android/src/vlc/android/VLC.java
+++ b/extras/package/android/vlc-android/src/vlc/android/VLC.java
@@ -1,13 +1,13 @@
 package vlc.android;
 
 import android.app.Activity;
-
 import android.opengl.GLSurfaceView;
 import android.os.Bundle;
-import android.widget.Button;
-
 import android.util.Log;
 import android.view.View;
+import android.view.Window;
+import android.view.WindowManager;
+import android.widget.Button;
 
 public class VLC extends Activity {
     private static final String TAG = "VLC_Activity";
@@ -19,6 +19,12 @@ public class VLC extends Activity {
     @Override
     public void onCreate(Bundle savedInstanceState) {
         super.onCreate(savedInstanceState);
+        this.requestWindowFeature(Window.FEATURE_NO_TITLE);
+        WindowManager.LayoutParams attrs = getWindow().getAttributes();
+        attrs.flags |= WindowManager.LayoutParams.FLAG_LAYOUT_IN_SCREEN
+                    | WindowManager.LayoutParams.FLAG_LAYOUT_NO_LIMITS
+                    | WindowManager.LayoutParams.FLAG_FULLSCREEN;
+        getWindow().setAttributes(attrs);
         setContentView(R.layout.main);
 
         Log.v(TAG, "Starting VLC");
-- 
1.7.1

